[Rogue Class Transfer]:
A Rogue who reaches level 40 can proceed with the 2nd class transfer to become a Treasure Hunter or a Hawkeye. In order to accomplish the 2nd class transfer, the Rogue must successfully complete three quests. The first of the three quests can only be undertaken by a character of level 35 or above. If you would like to view more detailed information, please click the class you are interested in.
Treasure Hunter
Hawkeye
Return
Close Window